GetHostNetworkFacts
GetHostNetworkFacts
/zstack/v1/hosts/network-facts/{hostUuid}Operation ID
GetHostNetworkFactsSince
3.5.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
Path Parameters
hostUuidStringRequiredThe host UUID.
Query Parameters
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
200 OKOn success, this API returns the following response structure.
successbooleanRequiredWhether the operation succeeded.
errorErrorCodeRequiredThe error code. If not null, the operation fails, or vice versa. For more information, see error.
codeStringRequiredThe error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.
descriptionStringRequiredThe brief description of the error.
detailsStringRequiredThe details about the error.
elaborationStringRequiredThe reserved field. Default value: null.
opaqueLinkedHashMapRequiredThe reserved field. Default value: null.
causeErrorCodeRequiredThe root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.
bondingsListRequiredSee bondings.
uuidStringRequiredThe resource UUID.
hostUuidStringRequiredThe host UUID.
bondingNameStringRequiredThe bond name.
modeStringRequiredThe bond mode.
xmitHashPolicyStringRequiredThe hash policy.
miiStatusStringRequiredThe MII status.
macStringRequiredThe MAC address.
ipAddressesListRequiredThe IP address.
miimonLongRequiredThe MII monitoring interval.
allSlavesActiveBooleanRequiredThe all slaves active.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
slavesListRequiredSee slaves.
uuidStringRequiredThe resource UUID.
hostUuidStringRequiredThe host UUID.
bondingUuidStringRequiredThe bond UUID.
interfaceNameStringRequiredThe interface name.
interfaceTypeStringRequiredThe interface type. Options: nomaster, bridgeSlave, and bondSlave.
speedLongRequiredThe interface speed.
slaveActiveBooleanRequiredThe bond link status.
carrierActiveBooleanRequiredThe physical link status.
ipAddressesListRequiredThe IP address.
macStringRequiredThe MAC address.
pciDeviceAddressStringRequiredThe PCI address of the interface.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
nicsListRequiredSee nics.
uuidStringRequiredThe resource UUID.
hostUuidStringRequiredThe host UUID.
bondingUuidStringRequiredThe bond UUID.
interfaceNameStringRequiredThe interface name.
interfaceTypeStringRequiredThe interface type. Options: nomaster, bridgeSlave, and bondSlave.
speedLongRequiredThe interface speed.
slaveActiveBooleanRequiredThe bond link status.
carrierActiveBooleanRequiredThe physical link status.
ipAddressesListRequiredThe IP address.
macStringRequiredThe MAC address.
pciDeviceAddressStringRequiredThe PCI address of the interface.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
errorErrorCodeRequiredSee error.
codeStringRequiredThe error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.
descriptionStringRequiredThe brief description of the error.
detailsStringRequiredThe details about the error.
elaborationStringRequiredThe reserved field. Default value: null.
opaqueLinkedHashMapRequiredThe reserved field. Default value: null.
causeErrorCodeRequiredThe root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.
